Flourish - Feature #7313
Version 4.0 Consenting
09/11/2023 16:00 - Sara Schenkel

Status: Closed Start date: 09/11/2023
Priority: Normal Due date: 02/02/2024
Assignee: Nimrod Munatsi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Please allow for reconsenting at version 4.0. We are expecting approval from HRDC for this amendment by next week. Thank you!

History

#1 - 13/11/2023 09:31 - Ame Diphoko

- Assignee set to Nimrod Munatsi

#2 - 13/11/2023 11:27 - Nimrod Munatsi
- Due date set to 17/11/2023

#3 - 16/11/2023 14:59 - Nimrod Munatsi
- Due date changed from 17/11/2023 to 22/11/2023

#4 - 16/11/2023 15:29 - Nimrod Munatsi
- Due date changed from 22/11/2023 to 17/11/2023

#5 - 16/11/2023 17:08 - Sara Schenkel

Please also add a Stool Collection requisition for infants who have consented into the Brain Ultrasound at 6-months of life (during the 5 to 6 month follow-up

ultrasound visit)

#6 - 12/12/2023 11:43 - Nimrod Munatsi

- Status changed from New to Resolved

#7 - 12/12/2023 16:12 - Ame Diphoko

https:/flourish-dev.bhp.org.bow:8001/

#8 - 13/12/2023 15:36 - Nimrod Munatsi

http://flourish-dev.bhp.org.bw:8001

#9 - 11/01/2024 12:21 - Boitshepo Phale
- Status changed from Resolved to Feedback

New ANC- 1. Intention not to breastfeed is no longer an exclusion criteria
2. Validation error message blocking to add ANC screening..Screenshot attached
https://flourish-dev.bhp.org.bw:8001/
http://flourish-dev.bhp.org.bw:8001

Re-consenting
1. for all re-consenting consent should be autofilled, currently it doesn't come pre-filled e.g 0350-6

2. siblings after re-consenting duplicate the same PID e.g PID 0749-9-10 and 0749-9-60, they come duplicated as 0749-9-10.
3. consent version button make it orange(new) then green after filled.

#10 - 11/01/2024 15:56 - Martha Ngwaca

- File Screenshot 2024-01-11 at 10.09.54.png added

#11 - 15/01/2024 10:12 - Nimrod Munatsi
- Due date changed from 17/11/2023 to 17/01/2024

#12 - 17/01/2024 03:49 - Sara Schenkel

- File HRDC AME Summary_14Nov23 Revised.docx added

Hi team - see attached all the details of the recent amendment.

In addition we will need to add a new visit for mothers and infants who consented into the ultrasound visit to allow for two additional requisitions at this visit

- breastmilk from mom and fecal from baby. This will be at the 6 month age of the infant.

We are waiting on Kate for the coding of this visit.

#13 - 17/01/2024 10:59 - Nimrod Munatsi

- Due date changed from 17/01/2024 to 24/01/2024

#14 - 18/01/2024 18:48 - Sara Schenkel

The visit code for the 6 month visit will be "2002S" s for samples.

See SOP for visit coding for reference

#15 - 25/01/2024 17:07 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#16 - 29/01/2024 17:25 - Martha Ngwaca

- File New consent.pdf added

- File 0593.pdf added

- Status changed from Resolved to Feedback

To open new tickets for the 6months visit and Consent V.4 lab requisitions.

Scenarios tested:

1. New ANC participant

*unable to test because it throws validation error in the screening form. See screenshot attached.

2. ANC re-consenting (1 Child)
*Passed.

3. ANC re-consenting (2 siblings)

- Unable to test, PID used throws yellow page when trying to access the dashboard. 0593

PRIOR BHP

1. Consenting New participant (1 child or Siblings)

*Throws yellow page when opening the consent.

2. Re-consenting

*1 child- Passed.

*Twins/ Siblings- Passed

Consent version Form

*If there is change on consent version, don't allow the form to save with the past date/ should always be a current date.

#17 - 30/01/2024 13:10 - Nimrod Munatsi

- Due date changed from 24/01/2024 to 28/02/2024

#18 - 30/01/2024 13:11 - Nimrod Munatsi
- Due date changed from 28/02/2024 to 07/02/2024

#19 - 30/01/2024 13:48 - Nimrod Munatsi
- Due date deleted (07/02/2024)

#20 - 01/02/2024 15:04 - Nimrod Munatsi
- Due date set to 02/02/2024

#21 - 02/02/2024 10:42 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#22 - 05/02/2024 15:36 - Gaontebale Elija

- Status changed from Resolved to Closed

New ANC- all issues resolved- tested using pid 1207-7

Re- Consenting- all issues resolved
tested using pids 0693-, 0749- and 0099-9

Files

Screenshot 2024-01-11 at 10.09.54.png 287 KB 11/01/2024 Martha Ngwaca
HRDC AME Summary_14Nov23 Revised.docx 25.2 KB 17/01/2024 Sara Schenkel
New consent.pdf 525 KB 29/01/2024 Martha Ngwaca
0593.pdf 554 KB 29/01/2024 Martha Ngwaca

24/04/2025 3/3



